:root {
    --checkout-address-table-border: var(--grey-6-color);
    --checkout-address-table-hover-border: var(--grey-6-color);
    --checkout-address-table-check-mark-hover-color: var(--primary-base-color);
    --checkout-address-selected-color: var(--primary-base-color);
    --checkout-address-table-check-mark-selected-color: var(--checkout-address-table-border);
}

.CheckoutAddressTable {
    width: 100%;

    &:first-child &-Button {
        margin-top: 0;
    }

    &-Button {
        --check-mark-opacity: 0;
        width: 100%;

        border: 2px solid var(--checkout-address-table-border);
        margin: 1rem 1rem 0 0;
        transition-property: border-color, background, border-color;
        transition-duration: 150ms;
        transition-timing-function: ease-in;

        &::before,
        &::after {
            position: absolute;
            opacity: var(--check-mark-opacity);
            z-index: 1;
            transition: opacity 150ms ease-in;
            content: '';
        }

        &::before {
            width: 24px;
            height: 24px;
            border-radius: 50%;
            top: 6px;
            right: 6px;
        }

        &::after {
            width: 12px;
            height: 6px;
            border-top: 2px solid var(--check-mark-color);
            border-right: 2px solid var(--check-mark-color);
            top: 12px;
            right: 11px;
            transform: rotate(135deg);
        }

        &:not(&_isSelected):hover {
            --check-mark-opacity: 1;
            --checkout-address-table-border: var(--checkout-address-table-hover-border);
            --check-mark-color: var(--checkout-address-table-check-mark-hover-color);
        }

        &_isSelected {
            --check-mark-opacity: 1;
            --checkout-address-table-border: var(--checkout-address-selected-color);
            --check-mark-color: var(--checkout-address-table-check-mark-selected-color);
        }
    }

    &-SelectedLabel {
        color: var(--checkout-address-selected-color);
        text-transform: uppercase;

        &::before {
            color: $black;
            content: ' - ';
        }
    }

    .KeyValueTable {
        margin: 0;
    }

    td,
    th {
        width: auto;
    }
}
